Bug 238054 - Toshiba Tecra M2 will only boot with acpi=off; tries to load ibm_acpi?
Toshiba Tecra M2 will only boot with acpi=off; tries to load ibm_acpi?
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
: Desktop, Regression
Depends On:
Blocks: 196081
  Show dependency treegraph
 
Reported: 2007-04-26 16:49 EDT by Zack Cerza
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-15 14:49:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Dmesg output showing error (31.40 KB, text/plain)
2007-05-08 15:00 EDT, Jeff Utter
no flags Details
Untested patch to fix the oops (1.48 KB, patch)
2007-05-08 17:51 EDT, Chuck Ebbert
no flags Details | Diff

  None (edit)
Description Zack Cerza 2007-04-26 16:49:07 EDT
Description of problem:
Trying to boot rawhide on a Toshiba Tecra M2 causes it to hang just after
displaying some errors about ibm_acpi (I don't know why this is being loaded).
Booting with acpi=off seems to work around the problem.

I would attach a log, but somehow this error doesn't make it that far. Let me
know if you need a screenshot (or any other information).

Version-Release number of selected component (if applicable):
kernel-2.6.20-1.3088

How reproducible:
Always
Comment 1 Jeff Utter 2007-04-27 19:14:50 EDT
The same problem happens on my Gateway M255 Laptop with F7T4. All of the FC6
kernels have worked fine thus far. If there's any more information I could
provide, please let me know.

Here's my lspci output:

00:00.0 Host bridge: Intel Corporation Mobile 945GM/PM/GMS/940GML and 945GT
Express Memory Controller Hub (rev 03)
00:02.0 VGA compatible controller: Intel Corporation Mobile 945GM/GMS/940GML
Express Integrated Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS/940GML Express
Integrated Graphics Controller (rev 03)
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition
Audio Controller (rev 02)
00:1c.0 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 1
(rev 02)
00:1c.1 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 2
(rev 02)
00:1d.0 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI #3 (rev 02)
00:1d.3 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI #4 (rev 02)
00:1d.7 USB Controller: Intel Corporation 82801G (ICH7 Family) USB2 EHCI
Controller (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev e2)
00:1f.0 ISA bridge: Intel Corporation 82801GBM (ICH7-M) LPC Interface Bridge
(rev 02)
00:1f.1 IDE interface: Intel Corporation 82801G (ICH7 Family) IDE Controller
(rev 02)
00:1f.2 SATA controller: Intel Corporation 82801GBM/GHM (ICH7 Family) Serial ATA
Storage Controller AHCI (rev 02)
00:1f.3 SMBus: Intel Corporation 82801G (ICH7 Family) SMBus Controller (rev 02)
02:00.0 Ethernet controller: Intel Corporation 82573L Gigabit Ethernet Controller
03:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG Network
Connection (rev 02)
04:09.0 CardBus bridge: Texas Instruments PCIxx12 Cardbus Controller
04:09.1 FireWire (IEEE 1394): Texas Instruments PCIxx12 OHCI Compliant IEEE 1394
Host Controller
04:09.2 Mass storage controller: Texas Instruments 5-in-1 Multimedia Card Reader
(SD/MMC/MS/MS PRO/xD)
04:09.3 Class 0805: Texas Instruments PCIxx12 SDA Standard Compliant SD Host
Controller
04:09.4 Communication controller: Texas Instruments PCIxx12 GemCore based
SmartCard controller
Comment 2 Jeff Utter 2007-05-06 16:02:23 EDT
It seems to me that if i add blacklist ibm_acpi to /etc/modprobe.d/blacklist it
works _sometimes_ other times it hangs with a similar error on loading plain old
acpi.
Comment 3 Jeff Utter 2007-05-08 10:15:52 EDT
here's a link to my smolt profile for more hardware info:

http://smolt.fedoraproject.org/show?UUID=5ca38507-5e19-47a5-b620-9b12ba742d71
Comment 4 Jeff Utter 2007-05-08 15:00:52 EDT
Created attachment 154354 [details]
Dmesg output showing error
Comment 5 Jeff Utter 2007-05-08 15:02:38 EDT
I just found a kernel which works... It is 2.6.21-1.3142.fc7 posted on the
-devel mailing list for iwlwifi stuff. Interestingly, this still has the same
problem with the ibm_acpi module, except it keeps booting after the module dies.
After it boots ACPI _seems_ to work as far as i can tell so far (5 minutes).
Anyway, I'm attaching the dmesg output with the acpi error present.
Comment 6 Chuck Ebbert 2007-05-08 17:51:29 EDT
Created attachment 154362 [details]
Untested patch to fix the oops
Comment 7 Chuck Ebbert 2007-05-08 17:52:57 EDT
Reported this bug upstream.
Comment 8 Jeff Utter 2007-05-08 20:53:31 EDT
I apologize for jumping the gun before and reporting that that kernel worked. It
worked for one boot and is now as non-working as the others (why it works
sometimes still baffles me) However, the one time it did work It allowed me to
get the dmesg output so hopefully that was good. I'll try that patch out later
tonight and report what i find. Thanks!
Comment 9 Jeff Utter 2007-05-09 14:56:59 EDT
Ok, I just built a kernel patched with the above patch and rebooted 4 times. No
error or lockup at all. It seems to have fixed it.

Thanks
Comment 10 Dave Jones 2007-05-15 14:49:15 EDT
applied to cvs, will be in next build.

Note You need to log in before you can comment on or make changes to this bug.